Subject: merge removed content back into current content

From: "Neal Kreitzinger" <[email-masked]>
Date: Fri, 24 Sep 2010 22:06:10 -0500

How do I tell git to merge a single program from an old commit into the 
current version of that program in the HEAD commit?  In this scenario, I 
want to get back some removed code but still keep the new code.

e.g.

Commit-1 = initial commit containing Program-A, and other programs

Commit-2 = add Changeset-1 to Program-A , and make changes to other programs

Commit-3 = remove Changeset-1 from Program-A, then add Changeset-2 to 
Program-A, and make changes to other programs

*desired* Commit-4 = only merge Program-A from Commit-2 into Program-A of 
Commit-3, and don't change any other programs
(in other words, get my old changes from Commit-2 back, but don't loose the 
new changes from Commit-3)

v/r,
Neal